#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        KDE Frameworks 5 Tier 2 integration module to perform actions as privileged user
Name:           kauth
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  kf5-macros
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  polkitqt5-devel

%description
KDE Frameworks 5 Tier 2 integration module to perform actions as privileged user

%files -f %{name}5_qt.lang
%_sysconfdir/dbus-1/system.d/org.kde.kf5auth.conf
%_kf5_datadir/kf5/kauth
%_qt5_plugindir/kauth
%_kf5_prefix/libexec/kauth/kauth-policy-gen

#--------------------------------------------------------------------

%define kf5auth_major 5
%define libkf5auth %mklibname kf5auth %{kf5auth_major}

%package -n %libkf5auth
Summary:      KDE Frameworks 5 Tier 2 integration module to perform actions as privileged user
Group:        System/Libraries
Requires:     nss_mdns

%description -n %libkf5auth
KDE Frameworks 5 Tier 2 integration module to perform actions as privileged user

%files -n %libkf5auth
%_kf5_libdir/libKF5Auth.so.%{kf5auth_major}*

#--------------------------------------------------------------------

%define kf5auth_devel %mklibname kf5auth -d

%package -n %kf5auth_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5auth = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

Requires:       kcoreaddons-devel = %version

%description -n %kf5auth_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5auth_devel
%_kf5_includedir/KAuth
%_kf5_includedir/kauth_version.h
%_kf5_libdir/cmake/KF5Auth
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/qt_KAuth.pri

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
%makeinstall_std -C build
%find_lang_kf5 %{name}5_qt


%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088946
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074517
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072178
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058337
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050514
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045092
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041314
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021912
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014322
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999619
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986310
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942231
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921265
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913024
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909863
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900467
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899386
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898909
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888149
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881373
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862932
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 862617
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862576
- Fix translations

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853779
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841554
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803341
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-4.mga5
+ Revision: 742479
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 680937
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-2.mga5
+ Revision: 660958
+ rebuild (emptylog)

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660695
- New version 5.1.0
- Add require in devel package

* Sun Jul 13 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 651682
- Fix Requires for the devel package

* Tue Jul 08 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 650536
- New version 5.0.0

* Sun Jul 06 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 646165
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611258
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599767
- New version 4.97.0

* Tue Feb 18 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 594188
- imported package kauth

